#include<iostream>
using namespace std;
typedef long long ll;
const ll maxn=4e3+10;
ll n,ans=0,cr=0,cg=0,cb=0;
char s[maxn];
int main(){
	cin>>n>>s;
	for(int i=0;i<n;i++){
		if(s[i]=='R') ans += cg*cb,cr++;
		if(s[i]=='G') ans += cr*cb,cg++;
		if(s[i]=='B') ans += cr*cg,cb++;
	}
	for(int i=0;i<n;i++){
		for(int j=i+1;j+j-i<n;j++){
			if(s[i]!=s[j] && s[i]!=s[j+j-i] && s[j]!=s[j+j-i]) ans--;
		}
	}
	cout<<ans<<endl;
	
}